Summary: A program to extract Microsoft Cabinet files
Name: libmspack
Version: 0.8alpha
Release: 1
License: GPL
Group: Applications/Archiving
Source0: http://www.cabextract.org.uk/%{name}-%{version}.tar.gz
URL: http://www.cabextract.org.uk/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program unpacks these files.


%package devel
Summary: Development files for the %{name} library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
This package includes header files and libraries necessary for
developing programs which use the %{name} library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp ./.libs/%{name}.so.0 .
make clean

# now build the 32-bit version
export CC="xlc_r"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./.libs/%{name}.a ./%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.a


%changelog
* Mon Oct 29 2018 Michael Perzl <michael@perzl.org> - 0.8alpha-1
- updated to version 0.8alpha

* Mon Jan 04 2016 Michael Perzl <michael@perzl.org> - 0.5alpha-1
- updated to version 0.5alpha

* Tue May 28 2013 Michael Perzl <michael@perzl.org> - 0.4alpha-1
- updated to version 0.4alpha

* Thu May 12 2011 Michael Perzl <michael@perzl.org> - 0.3alpha-1
- updated to version 0.3alpha

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 0.2alpha-1
- first version for AIX V5.1 and higher
